# Merge Contacts

## Merge two contacts

> Merge two contacts into a single contact, combining their data

```json
{"openapi":"3.0.0","info":{"title":"Gleantap External API","version":"1.0.0"},"tags":[{"name":"Contacts","description":"Contacts"}],"servers":[{"url":"https://api.gleantap.com","description":"Production server"}],"paths":{"/v2/ExternalApi/mergeContacts":{"post":{"tags":["Contacts"],"summary":"Merge two contacts","description":"Merge two contacts into a single contact, combining their data","operationId":"059c0d7d021b302505de2afaaa57e219","parameters":[{"name":"X-API-KEY","in":"header","description":"Your API key","required":true,"schema":{"type":"string"}},{"name":"X-SECRET-KEY","in":"header","description":"Your Secret key","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["app_id","from_contact","to_contact"],"properties":{"app_id":{"type":"string"},"from_contact":{"description":"ID of the contact that will remain after merge","type":"string"},"to_contact":{"description":"ID of the contact that will be merged and deleted","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Contacts merged successfully","content":{"application/json":{"schema":{"properties":{"status":{"type":"boolean"},"message":{"type":"string"}},"type":"object"}}}},"400":{"description":"Invalid request or contacts not found"},"500":{"description":"Error during merge process"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gleantap.com/update-data/merge-contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
